=== debian/changelog ===
ros-lunar-nav2d-localizer (0.4.1-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Sebastian Kasperski <sebastian.kasperski@dfki.de>  Fri, 07 Sep 2018 09:54:25 -0000
