=== debian/control ===
Source: ros-lunar-nav2d-localizer
Section: misc
Priority: extra
Maintainer: Sebastian Kasperski <sebastian.kasperski@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-nav-msgs, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-tf
Homepage: http://wiki.ros.org/self_localizer
Standards-Version: 3.9.2

Package: ros-lunar-nav2d-localizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-geometry-msgs, ros-lunar-nav-msgs, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-tf
Description: Wrapper around Particle Filter implementation.
 The SelfLocalizer can be used as library or as a ros-node.
